FILESTAT(3)

NAME
filestat() - copies file descriptor information to buffer

SYNOPSIS
int filestat(f,buf)
FILE *f;
FILEDESC *buf;

DESCRIPTION
filestat() places system dependent information about the file f into the buffer buf.

RETURNS
Returns a value equal to or greater than zero when successful. Otherwise, returns the standard error code.

NOTES
The size and the interpretation of the buffer is system dependent. To use filestat() include <sys/filedesc.h>.